using ProjectPatientAccounting.Entities.Enums;
using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories.Implementations;

public class MedicamentRepository : IMedicamentRepository
{
    public void CreateMedicament(Medicament medicament)
    {
    }

    public void DeleteMedicament(int id)
    {
    }

    public Medicament ReadMedicamentById(int id)
    {
        return Medicament.CreateEntity(0, string.Empty, string.Empty, TypeMedicament.None);
    }

    public IEnumerable<Medicament> ReadMedicaments()
    {
        return [];
    }

    public void UpdateMedicament(Medicament medicament)
    {
    }
}
